Name:           perl-MikroTik-API
Version:        2.0.1
Release:        4%{?dist}
Summary:        Client for the MikroTik RouterOS API
License:        MIT
URL:            https://metacpan.org/dist/MikroTik-API
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MARTINGO/MikroTik-API-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(Carp)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(IO::Socket::IP)
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(Moo)
BuildRequires:  perl(MooX::Types::MooseLike::Base)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Time::Out)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Type::Tiny)
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# tests
BuildRequires:  perl(Pod::Coverage) >= 0.18
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Perl client for the MikroTik RouterOS API.

%prep
%setup -q -n MikroTik-API-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul  1 2022 Yanko Kaneti <yaneti@declera.com> 2.0.1-3
- Some more review fixes

* Thu Jun 30 2022 Yanko Kaneti <yaneti@declera.com> 2.0.1-2
- Review request fixes (#2097677)

* Thu Jun 16 2022 Yanko Kaneti <yaneti@declera.com> 2.0.1-1
- First attempt
- Specfile mostly autogenerated by cpanspec 1.78.
